## python-neutron-lib 3.21.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=4.0.0 # Apache-2.0

SQLAlchemy>=1.2.0 # MIT
pecan>=1.0.0 # BSD
keystoneauth1>=3.14.0 # Apache-2.0
netaddr>=0.7.18 # BSD
stevedore>=1.20.0 # Apache-2.0
os-ken >= 0.3.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=8.0.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=12.1.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=14.2.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
oslo.utils>=7.0.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
setproctitle>=1.1.10 # BSD
WebOb>=1.7.1 # MIT
os-traits>=0.9.0 # Apache-2.0
debtcollector>=3.0.0  # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-neutron-lib (3.21.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:16:39 +0200

python-neutron-lib (3.21.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:49:53 +0200

=== debian/control ===
Source: python-neutron-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
 python3-sphinxcontrib.apidoc,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-netaddr,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-os-ken,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-setproctitle,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testtools,
 python3-webob,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-neutron-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-neutron-lib.git
Homepage: http://www.openstack.org/

Package: python-neutron-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Neutron shared routines and utilities - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package contains the documentation of neutron-lib.

Package: python3-neutron-lib
Architecture: all
Depends:
 python3-debtcollector,
 python3-keystoneauth1,
 python3-netaddr,
 python3-os-ken,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pbr,
 python3-pecan,
 python3-setproctitle,
 python3-sqlalchemy,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-neutron-lib-doc,
Description: Neutron shared routines and utilities - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron-lib is an OpenStack library project used by Neutron, Advanced
 Services, and third-party projects to provide common functionality and remove
 duplication.
 .
 This package provides shared routines and utilities for Python 3.x.

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr needs-root
Architecture: amd64, arm64, mips64el, ppc64el, riscv64, s390x

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/neutron-lib refs/tags/(\d[brc\d\.]+)

## python-neutron-lib 3.23.0

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 pecan>=1.0.0 # BSD
 keystoneauth1>=3.14.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
-stevedore>=1.20.0 # Apache-2.0
+stevedore>=5.6.0 # Apache-2.0
 os-ken >= 0.3.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=8.0.0 # Apache-2.0

=== debian/changelog ===
python-neutron-lib (3.23.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 3.23.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 18:19:27 -0800

python-neutron-lib (3.21.1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).

 -- Myles Penner <myles.penner@canonical.com>  Sat, 20 Sep 2025 13:41:52 -0700

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://tarballs.opendev.org/openstack/neutron-lib/neutron_lib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-neutron-lib 3.24.0

=== debian/changelog ===
python-neutron-lib (3.24.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 14:38:06 +0100

python-neutron-lib (3.21.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1046561).

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Nov 2025 08:32:07 +0100

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
  python3-setproctitle,
  python3-sqlalchemy,
  python3-stestr,
- python3-stevedore,
+ python3-stevedore (>= 5.6.0),
  python3-testtools,
  python3-webob,
  subunit,
@@ -95,7 +95,7 @@
  python3-pecan,
  python3-setproctitle,
  python3-sqlalchemy,
- python3-stevedore,
+ python3-stevedore (>= 5.6.0),
  python3-webob,
  ${misc:Depends},
  ${python3:Depends},
